Package org.gradle.plugins.signing.signatory.pgp

## Class PgpSignatory

- java.lang.Object
- - org.gradle.plugins.signing.signatory.SignatorySupport
  - - org.gradle.plugins.signing.signatory.pgp.PgpSignatory

- All Implemented Interfaces:
    `Signatory`

      public class PgpSignatory
      extends SignatorySupport

  PGP signatory from PGP key and password.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PgpSignatory​(String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, String password)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.bouncycastle.openpgp.PGPSignatureGenerator` | `createSignatureGenerator()` |
    `String` | `getKeyId()` | Returns the id of the key that will be used for signing.
    `String` | `getName()` | An identifying name for this signatory.
    `void` | `sign​(InputStream toSign, OutputStream signatureDestination)` | Exhausts `toSign`, and writes the signature to `signatureDestination`.

    - ### Methods inherited from class org.gradle.plugins.signing.signatory.SignatorySupport

      `sign`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgpSignatory

          public PgpSignatory​(String name,
                              org.bouncycastle.openpgp.PGPSecretKey secretKey,
                              String password)

  - ### Method Detail

    - #### getName

          public final String getName()

      Description copied from interface: `Signatory`

      An identifying name for this signatory.

      The name must be constant for the life of the signatory and should uniquely identify it within a project.

    - #### sign

          public void sign​(InputStream toSign,
                           OutputStream signatureDestination)

      Exhausts `toSign`, and writes the signature to `signatureDestination`. The caller is responsible for closing the streams, though the output WILL be flushed.
      Parameters:
        `toSign` - The source of the data to be signed
        `signatureDestination` - Where the signature will be written to

    - #### getKeyId

          public String getKeyId()

      Description copied from interface: `Signatory`
      Returns the id of the key that will be used for signing.
      Returns:
        The key id

    - #### createSignatureGenerator

          public org.bouncycastle.openpgp.PGPSignatureGenerator createSignatureGenerator()